Skip to content
OpenPostDocs
OpenPostDocs
Publications

Delete a publication

Permanently deletes an editable publication, its destinations, and any linked draft post.

DELETE/publications/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Publication ID

Query Parameters

confirm?boolean

Explicit confirmation that the publication may be permanently deleted

expected_revision?integer

Revision loaded by the editor

Formatint64
Range1 <= value

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X DELETE "https://example.com/publications/string"
{  "$schema": "https://example.com/api/v1/schemas/ActionOutputBody.json",  "activation_publication_id": "string",  "job_id": "string",  "message": "string",  "publication_id": "string",  "renditions": [    {      "delivery": {        "current_attempt_created_at": "string",        "current_attempt_id": "string",        "current_attempt_number": 0,        "error_code": "string",        "error_http_status": 0,        "error_kind": "string",        "external_id": "string",        "external_url": "string",        "last_reconciled_at": "string",        "next_reconciliation_at": "string",        "recovery_action": "none",        "state": "string",        "target_key": "string",        "terminal_reason": "string"      },      "id": "string",      "platform": "string",      "social_account_id": "string",      "status": "string",      "target_key": "string"    }  ],  "revision": 0,  "workspace_activated": true}